Package ru.bitel.bgbilling.kernel.admin.web.common.bean

# Class WebMenuModuleItem

java.lang.Object
ru.bitel.bgbilling.kernel.admin.web.common.bean.WebMenuModuleItem

public class WebMenuModuleItem extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WebMenuModuleItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAction()`
  `String`
  `getCssClass()`
  `String`
  `getDescription()`
  `String`
  `getIcon()`
  `int`
  `getModuleId()`
  `String`
  `getModuleName()`
  `String`
  `getModuleTitle()`
  `String`
  `getTitle()`
  `void`
  `setAction(String action)`
  `void`
  `setCssClass(String cssClass)`
  `void`
  `setDescription(String description)`
  `void`
  `setIcon(String icon)`
  `void`
  `setModuleId(int moduleId)`
  `void`
  `setModuleName(String moduleName)`
  `void`
  `setModuleTitle(String moduleTitle)`
  `void`
  `setTitle(String title)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WebMenuModuleItem

    public WebMenuModuleItem()

- ## Method Details

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public void setModuleId(int moduleId)

  - ### getModuleTitle

    public String getModuleTitle()

  - ### setModuleTitle

    public void setModuleTitle(String moduleTitle)

  - ### getModuleName

    public String getModuleName()

  - ### setModuleName

    public void setModuleName(String moduleName)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getAction

    public String getAction()

  - ### setAction

    public void setAction(String action)

  - ### getIcon

    public String getIcon()

  - ### setIcon

    public void setIcon(String icon)

  - ### getCssClass

    public String getCssClass()

  - ### setCssClass

    public void setCssClass(String cssClass)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`